Subject: Offline Message from Phil: I am looking for a new battery replacement for the
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 03 Sep 2022 01:49:19 -0000

From: Phil <[email-masked]>
Phone: 3016934110
Location: Rockville, United States
URL: https://swagtron.com/parts-accessories/replacement-batteries/
Department: SwagTron

I am looking for a new battery replacement for the swagcycle sc-1, motherboard and all. I have wiring and the skillset to fix, just need to find the parts at this moment. I bought a used one from a customer without knowing how badly corroded it all is. Everything else with the bike appears spot on.
Also, if any way to upgrade as I rebuild, I am interested as well.

----
Zopim
https://www.zopim.com